Page MenuHomePhabricator

Flow renders interwiki links as external links
Closed, ResolvedPublic

Description

To fix this we either need T97093: Parsoid should mark interwiki links as such to be fixed in Parsoid, or do a reverse interwiki map ourselves.

Event Timeline

Catrope created this task.Apr 29 2015, 5:59 PM
Catrope raised the priority of this task from to Needs Triage.
Catrope updated the task description. (Show Details)
Catrope added a project: StructuredDiscussions.
Catrope added a subscriber: Catrope.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 29 2015, 5:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DannyH triaged this task as Medium priority.Apr 30 2015, 5:54 PM
DannyH added a subscriber: DannyH.
Catrope set Security to None.Apr 30 2015, 5:54 PM
Catrope removed a subscriber: DannyH.
jeremyb added a subscriber: jeremyb.
Josve05a added a subscriber: Josve05a.EditedAug 7 2015, 4:08 PM

This also causes [[:en:WP:Flow#Design FAQ]] -> https://en.wikipedia.org/wiki/Wikipedia:Flow#Design%20FAQ meaing that section links with spaces in them breaks. This is a huge...no-no.

Josve05a raised the priority of this task from Medium to High.Aug 7 2015, 4:08 PM
cscott added a subscriber: cscott.Sep 19 2017, 4:49 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptApr 11 2019, 9:48 AM
matmarex closed this task as Resolved.May 8 2019, 10:16 PM
matmarex added a subscriber: matmarex.

This looks to be resolved by the Parsoid changes. For example, on https://www.mediawiki.org/wiki/Topic:Uy2zmj89ja68cget, the link phab:T165162 renders correctly: